GET
/notebooks/{Instance_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the details of an Instance or Virtual Machine, including its plan, disk size, SSH keys, startup scripts, and reserved IP. Security groups and mounted datasets are not part of this response; use List Security Groups and List VM Datasets.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Instance_id
required
integer
Instance ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Full details of an Instance or Virtual Machine
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
kind
string
status
string
public_ip
string
image_type
string
image_details
object
name
string
icon_url
string
image_description
string
sku_details
object
specs
object
name
string
cpu
integer
gpu
integer
memory
string
disk_size_in_gb
integer
instance_type
string
ssh_keys
Array<object>
object
id
integer
name
string
init_scripts
Array<object>
object
id
integer
name
string
reserve_ip
Array<object>
object
id
integer
ip_address
string
custom_ports
Array<object>
object
protocol
string
port
integer
is_pvc_encrypted
boolean
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "code": 200, "data": { "id": 5633, "name": "my-gpu-vm", "kind": "vm", "status": "waiting", "public_ip": "203.0.113.42", "image_type": "pre-built", "image_details": { "name": "Ubuntu", "icon_url": "/notebook_images/ubuntu.svg", "image_description": "Ubuntu 22.04 base image with Python 3.10" }, "sku_details": { "specs": { "name": "GDC.1xH100-SXM5-80GB", "cpu": 26, "gpu": 1, "memory": "240GB" } }, "disk_size_in_gb": 100, "instance_type": "paid_usage", "ssh_keys": [ { "id": 12, "name": "my-laptop-key" } ], "init_scripts": [ { "id": 8, "name": "01_install.sh" } ], "reserve_ip": [ { "id": 99, "ip_address": "203.0.113.42" } ], "custom_ports": [ { "protocol": "TCP", "port": 8888 } ], "is_pvc_encrypted": false, "created_at": "2025-04-10T08:30:00Z", "updated_at": "2025-04-10T09:00:00Z" }}Instance or VM not found
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 404, "message": "Not found"}